# Hometown

A supported fork of Mastodon that provides local posting and a wider range of content types.

This repository is a copy of [coop-cloud/mastodon](https://git.autonomic.zone/coop-cloud/mastodon) but with a fresh README and some Hometown specific configuration. It seems like a good idea to keep the deployment separate since the apps may diverge in their deployment or configuration instructions at some point despite best wishes to remain as mainline Mastodon as possible.

<!-- metadata -->

* **Category**: Apps
* **Status**: 1
* **Image**: [`decentral1se/hometown`](https://hub.docker.com/r/decentral1se/hometown)
* **Healthcheck**: No
* **Backups**: No
* **Email**: Yes
* **Tests**: No
* **SSO**: Yes

<!-- endmetadata -->

## Basic usage

Hometown expects secrets to be formatted in a very specific way, so please
choose "No" when prompted to generate secrets for `abra app new mastodon`. The
secrets must be generated outside of `abra` and that is achieved in step 2. See
the [`abra.sh`](./abra.sh) for more.

1. `abra app new mastodon`
1. `abra app cmd <domain> secrets --local`
1. `abra app config <domain>`
1. `abra app deploy <domain>`
1. `abra app cmd <domain> setup`

Then, on your host (outside of the containers), you'll need to fix permissions
for the volume (see [#2](https://git.autonomic.zone/coop-cloud/hometown/issues/2)):

```
chown -R 991:991 /var/lib/docker/volumes/<domain>_app/_data
```

And finally, within the `app` container, create an admin account:

```
abra app cmd <domain> admin "<username>" "<email>"
```

## Tips & Tricks

See the [`coop-cloud/mastodon` `README.md`](https://git.coopcloud.tech/coop-cloud/mastodon#admin-tips-tricks). Please
only gather tips & tricks that are specific to Hometown here.
